# -bs (Set output stream for output/error/progress line) switch

#### Syntax

    -bs{o|e|p}{0|1|2}

{id} | Stream Type
--- | ---
o | standard output messages
e | error messages
p | progress information

{N} | Stream Destination
--- | ---
0 | disable stream
1 | redirect to stdout stream
2 | redirect to stderr stream

Default values: o1, e2, p1.

#### Examples

    7z t a.7z -bse1 > messages.txt

tests a.7z archive and sends error messages to stdout that is redirected to messages.txt

    7z a -si -so -bsp2 -txz -an < file.tar > file.tar.xz

compresses file.tar (from stdin) to file.tar.xz (stdout stream) and shows progress information in stderr stream that can be seen at console window.

#### Commands that can be used with this switch

a (Add), d (Delete), h (Hash), l (List), e (Extract), u (Update), x (Extract with full paths)